summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authormelanie witt <melwittt@gmail.com>2020-10-08 05:45:24 +0000
committermelanie witt <melwittt@gmail.com>2020-10-08 05:45:24 +0000
commit1e10461c71cb78226824988b8c903448ba7a8a76 (patch)
tree318c21efb49de5fdcecbce2c583f2fbff91e7bdb /tools
parent2745e685376abbc4c32516837f6074a3de23aa24 (diff)
downloadnova-1e10461c71cb78226824988b8c903448ba7a8a76.tar.gz
Follow up for cherry-pick check for merge patch
This is a follow up to change I8e4e5afc773d53dee9c1c24951bb07a45ddc2f1a which fixed an issue with validation when the topmost patch after a Zuul rebase is a merge patch. We need to also use the $commit_hash variable for the check for stable-only patches, else it will incorrectly fail because it is checking the merge patch's commit message. Change-Id: Ia725346b65dd5e2f16aa049c74b45d99e22b3524
Diffstat (limited to 'tools')
-rwxr-xr-xtools/check-cherry-picks.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/check-cherry-picks.sh b/tools/check-cherry-picks.sh
index 32627e59b6..5a449c520b 100755
--- a/tools/check-cherry-picks.sh
+++ b/tools/check-cherry-picks.sh
@@ -32,7 +32,7 @@ if [ $checked -eq 0 ]; then
echo "Checked $checked cherry-pick hashes: OK"
exit 0
else
- if ! git show --format='%B' --quiet | grep -qi 'stable.*only'; then
+ if ! git show --format='%B' --quiet $commit_hash | grep -qi 'stable.*only'; then
echo 'Stable branch requires either cherry-pick -x headers or [stable-only] tag!'
exit 1
fi